<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: serdes5GpdProd_TX_STARTUP_FSM Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">serdes5GpdProd_TX_STARTUP_FSM Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for serdes5GpdProd_TX_STARTUP_FSM:</div>
<div class="dyncontent">
<div class="center"><img src="classserdes5GpdProd__TX__STARTUP__FSM__inherit__graph.png" border="0" usemap="#serdes5GpdProd__TX__STARTUP__FSM_inherit__map" alt="Inheritance graph"/></div>
<map name="serdes5GpdProd__TX__STARTUP__FSM_inherit__map" id="serdes5GpdProd__TX__STARTUP__FSM_inherit__map">
<area shape="rect" id="node2" href="classserdes5GpdProd__init.html" title="serdes5GpdProd_init" alt="" coords="53,80,208,107"/><area shape="rect" id="node3" href="classserdes5__wrapper.html" title="serdes5_wrapper" alt="" coords="64,155,197,181"/><area shape="rect" id="node4" href="classDaqLSCXG.html" title="DaqLSCXG" alt="" coords="85,229,176,256"/><area shape="rect" id="node5" href="classDAQLSCXG__if.html" title="DAQLSCXG_if" alt="" coords="75,304,185,331"/><area shape="rect" id="node6" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="85,379,176,405"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classserdes5GpdProd__TX__STARTUP__FSM-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html">RTL</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:ae00f3f04545af57582ff10609eee23e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae00f3f04545af57582ff10609eee23e2"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#ae00f3f04545af57582ff10609eee23e2">NUMERIC_STD</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a373797cfe8670a8609d575770527851c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a373797cfe8670a8609d575770527851c"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a373797cfe8670a8609d575770527851c">GT_TYPE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">string</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; GTX &quot;</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a1381f3ce3838574672c5381353489be4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1381f3ce3838574672c5381353489be4"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a1381f3ce3838574672c5381353489be4">STABLE_CLOCK_PERIOD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">250</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a70f1dcbdced68a9b932652bc67706d6f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70f1dcbdced68a9b932652bc67706d6f"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a70f1dcbdced68a9b932652bc67706d6f">RETRY_COUNTER_BITWIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ae52cd58ad3eec88856a421525ae33bec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae52cd58ad3eec88856a421525ae33bec"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#ae52cd58ad3eec88856a421525ae33bec">TX_QPLL_USED</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">False</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ae6a586be53c7af9c9042351e691a4552"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae6a586be53c7af9c9042351e691a4552"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#ae6a586be53c7af9c9042351e691a4552">RX_QPLL_USED</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">False</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:abe448865df8ed949cae6cf5721d0ca35"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe448865df8ed949cae6cf5721d0ca35"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#abe448865df8ed949cae6cf5721d0ca35">PHASE_ALIGNMENT_MANUAL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">True</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:ac22913324e486a102cbdaea6dfd9755b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac22913324e486a102cbdaea6dfd9755b"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#ac22913324e486a102cbdaea6dfd9755b">STABLE_CLOCK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec6bd92650419a3692f11eb4f86c546e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec6bd92650419a3692f11eb4f86c546e"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#aec6bd92650419a3692f11eb4f86c546e">TXUSERCLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5941132852eceb9883023c003069e4e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5941132852eceb9883023c003069e4e1"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a5941132852eceb9883023c003069e4e1">SOFT_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7b3feb770ffe36c0f8c252b2993d10b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b3feb770ffe36c0f8c252b2993d10b8"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a7b3feb770ffe36c0f8c252b2993d10b8">QPLLREFCLKLOST</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac911e11ddab87a6a814bff1298b0e125"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac911e11ddab87a6a814bff1298b0e125"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#ac911e11ddab87a6a814bff1298b0e125">CPLLREFCLKLOST</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a66a92c3304d677121937328cc4f06f66"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66a92c3304d677121937328cc4f06f66"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a66a92c3304d677121937328cc4f06f66">QPLLLOCK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6305d8372a4ea3b8c5a08dcfc8d78d08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6305d8372a4ea3b8c5a08dcfc8d78d08"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a6305d8372a4ea3b8c5a08dcfc8d78d08">CPLLLOCK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aca8bf30e5748e6d5869f7d6818f42209"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca8bf30e5748e6d5869f7d6818f42209"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#aca8bf30e5748e6d5869f7d6818f42209">TXRESETDONE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4e7d320c8a236dddf0e424dc7106e959"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e7d320c8a236dddf0e424dc7106e959"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a4e7d320c8a236dddf0e424dc7106e959">MMCM_LOCK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9615006f78d3905b4e047127bebecff2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9615006f78d3905b4e047127bebecff2"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a9615006f78d3905b4e047127bebecff2">GTTXRESET</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6f3ff2b61620bf53e341ca721fda5987"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f3ff2b61620bf53e341ca721fda5987"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a6f3ff2b61620bf53e341ca721fda5987">MMCM_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1abf9777c82b07d948cca793cb9d31f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1abf9777c82b07d948cca793cb9d31f2"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a1abf9777c82b07d948cca793cb9d31f2">QPLL_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5c2e08f3b4d8df636528b53d13390f25"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c2e08f3b4d8df636528b53d13390f25"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a5c2e08f3b4d8df636528b53d13390f25">CPLL_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad4a64183afb23be6ac08f02301d6410d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4a64183afb23be6ac08f02301d6410d"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#ad4a64183afb23be6ac08f02301d6410d">TX_FSM_RESET_DONE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5cb6f08ec2e23cb38c524d0e7c823121"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5cb6f08ec2e23cb38c524d0e7c823121"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#a5cb6f08ec2e23cb38c524d0e7c823121">TXUSERRDY</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae45c934d9e48fdca0ff4ee859b11e2db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae45c934d9e48fdca0ff4ee859b11e2db"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#ae45c934d9e48fdca0ff4ee859b11e2db">RUN_PHALIGNMENT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa16c71bf76356e25c5cdaa91041a3349"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa16c71bf76356e25c5cdaa91041a3349"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#aa16c71bf76356e25c5cdaa91041a3349">RESET_PHALIGNMENT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adb5622a4c030afa3be8a8eb93fe9b7cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb5622a4c030afa3be8a8eb93fe9b7cb"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#adb5622a4c030afa3be8a8eb93fe9b7cb">PHALIGNMENT_DONE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acb734678f0873e12f3b15f8ba70afbb5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb734678f0873e12f3b15f8ba70afbb5"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html#acb734678f0873e12f3b15f8ba70afbb5">RETRY_COUNTER</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RETRY_COUNTER_BITWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="serdes5gpdprod__tx__startup__fsm_8vhd_source.html#l00074">74</a> of file <a class="el" href="serdes5gpdprod__tx__startup__fsm_8vhd_source.html">serdes5gpdprod_tx_startup_fsm.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/<a class="el" href="serdes5gpdprod__tx__startup__fsm_8vhd_source.html">serdes5gpdprod_tx_startup_fsm.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
